#include <tcl.h>
#include <util_md5.h>

int
Tcl_MD5Cmd (clientData, interp, argc, argv)
    ClientData  clientData;
    Tcl_Interp *interp;
    int         argc;
    char      **argv;
{
    char *digest;
 
    if (argc != 2) {
        sprintf(interp->result, "usage: md5 string");
        return TCL_ERROR;
    }
    digest = md5(argv[1]);
    Tcl_SetResult(interp, digest, TCL_STATIC);
    return TCL_OK;
}

